package com.yn.bftl.thirdparty.common.exception;

import com.yn.bftl.common.common.exception.YnceErrorCode;

import java.io.Serializable;

/**
 * 不回滚异常
 *
 * @author huabiao
 * @create 2021/4/23  10:02
 */
public class YnceNoRollErrorException extends YnceErrorException implements Serializable {

    private static final long serialVersionUID = 1L;

    public YnceNoRollErrorException(YnceErrorCode ynceErrorCode) {
        super(ynceErrorCode);
    }

    public YnceNoRollErrorException(YnceErrorCode ynceErrorCode, String additionalString) {
        super(ynceErrorCode, additionalString);
    }

    public YnceNoRollErrorException(String message) {
        super(message);
    }

    // 重写此方法返回this,业务异常不打印堆栈信息提高速度
    @Override
    public synchronized Throwable fillInStackTrace() {
        return this;
    }
}